Consulta de análise rejeitada
Quando esse problema ocorre, a API responde com 422 Unprocessable Content. Seu type é https://lingo.dev/docs/api/errors/analytics-query-rejected. Consulte Erros e códigos de estado para conhecer a estrutura comum a todos os erros.
<detail>
Campos#
Além dos membros padrão type, status, title e detail, o corpo contém os campos a seguir. O texto de detail é gerado a partir desses campos, então o cliente pode exibir um texto próprio no lugar dele.
| Campo | Tipo |
|---|---|
rule | "emptyQuery" | "dimensionRepeated" | "axisPlainEntry" | "rangeEmpty" | "derivationRequiresTime" | "derivationRequiresBucketedAxis" | "derivationNotDecomposable" | "previousPeriodNotWholeBuckets" | "previousPeriodOffsetMisaligned" | "previousPeriodOffsetTooShort" | "mixedFilterKinds" | "topNRequiresKeyDimension" | "topNByNotRankable" | "derivedPathNotRequested" | "orderByDimensionNotSelected" | "shareDimensionNotSelected" | "binsNotAscending" | "limitAboveMax" | "detailFieldNotAllowed" | "groupedFieldNotAllowed" | "detailKeyRequired" | "cursorInvalid" | "cursorOrderMismatch" | "keysetColumnNullable" | "maxRangeDays" | "maxBuckets" | "resultTooLarge" | "propertyRequired" |
path | string[] |
Exemplo#
json
{
"detail": "<detail>",
"rule": "emptyQuery",
"path": [
"<path>"
],
"type": "https://lingo.dev/docs/api/errors/analytics-query-rejected",
"status": 422,
"title": "Analytics query rejected"
}Retornado por#
GET /v2/organizations/{orgId}/analytics/modelsPOST /v2/organizations/{orgId}/analytics/event-propertiesPOST /v2/organizations/{orgId}/analytics/event-property-keysPOST /v2/organizations/{orgId}/analytics/event-volumePOST /v2/organizations/{orgId}/analytics/eventsPOST /v2/organizations/{orgId}/analytics/events-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-answersPOST /v2/organizations/{orgId}/analytics/measurement-answers-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-fieldsPOST /v2/organizations/{orgId}/analytics/measurement-scoresPOST /v2/organizations/{orgId}/analytics/translation-volume